#include maps\mp\_utility; //<-- multiplayer utility script

main()
{
	maps\mp\mp_v2_fx::main();
	maps\mp\_load::main();

	setExpFog(0.0001, 0.6, 0.7, 0.6, 0);
	//setCullFog(0, 16500, 0.55, 0.6, 0.55, 0);
	ambientPlay("ambient_mp_v2");


	thread rotate_doors_init();
	thread barred_doors();
	thread radio_noise();


	game["allies"] = "american";
	game["axis"] = "german";
	game["defenders"] = "axis";
	game["attackers"] = "allies";	
	game["american_soldiertype"] = "normandy";
	game["german_soldiertype"] = "normandy";

	setCvar("r_glowbloomintensity0", ".25");
	setCvar("r_glowbloomintensity1", ".25");
	setcvar("r_glowskybleedintensity0",".6");
}



////////////////////////////////////////////////////////////////////////////////
// DOORS
////////////////////////////////////////////////////////////////////////////////


rotation_dir(door, other)
{
door_origin_x = door.origin[0];
door_origin_y = door.origin[1];
player_origin_x = other.origin[0];
player_origin_y = other.origin[1];
orient = int(door.script_noteworthy);
rotatedir = -90;

//This next group is hard-coded for a player radius shift based on orientation of the door. Needs altering to suit angled doors too.
if (orient == 0)
player_origin_y -= 50;
else if (orient == 180)
player_origin_y += 50;
else if (orient == 90)
player_origin_x -= 50;
else if (orient == 270)
player_origin_x += 50;

if ( ((orient == 0) && (player_origin_x < door_origin_x ) && (player_origin_y < door_origin_y)) ||
	((orient == 90) && (player_origin_x < door_origin_x ) && (player_origin_y > door_origin_y)) ||
	((orient == 180) && (player_origin_x > door_origin_x ) && (player_origin_y > door_origin_y)) ||
	((orient == 270) && (player_origin_x > door_origin_x ) && (player_origin_y < door_origin_y)) )

rotatedir = 90;

return rotatedir;
}


rotate_doors_init()
{
doortrigs = getentarray("door_trigger", "targetname");
doors = getentarray("door", "targetname");

for(i=0; i <doortrigs.size; i++)
{
doortrigs thread rotate_doors(doortrigs[i], doors[i]);
}
}


rotate_doors(trig, door)
{
if(isdefined(door))
{
while (1)
	{
	trig waittill("trigger", other);
	rotatedir = thread rotation_dir(door, other);
	door rotateYaw(rotatedir, 1.5, 0.7, 0.7);
	door playsound ("mp_v2_bunkerdooropen");
	door waittill("rotatedone");


	wait (2);

	while (isalive (other) && (other istouching (trig)))
	wait (1);
	wait (2);
	door rotateto ((0,0,0),1.5, 0.75, 0.75);


	door playsound ("mp_v2_bunkerdoorback");
	door waittill("rotatedone");
	door playsound ("mp_v2_bunkerdoorclose");
	}
}
}

/*
blockage_check(door)
{
blocked = 0;
players = getentarray("player", "classname");
			
	for(i = 0; i < players.size; i++)
	{
	player = players[i];			
	if ( (isdefined(player)) && (isalive(player)) && (player istouching(door)) )
	{
	blocked = 1;
	}
	}
	return blocked;
}
*/

//////////////////////////////////////////////////////////////////////////////
// LOCKED DOORS
//////////////////////////////////////////////////////////////////////////////

barred_doors()
{
barredtriggers = getentarray("barred_door", "targetname");
fakedoors = getentarray("fake_door", "targetname");

for(i=0; i < barredtriggers.size; i++)
{
barredtriggers thread barred(barredtriggers[i], fakedoors[i]);
}
}


barred(trig, door)
{
if(isdefined(door))
{
while (1)
	{
	trig waittill("trigger");
	door playsound ("mp_v2_bunkerdoorlocked");
	wait (1);
	}
}
}




radio_noise()
{
radio_sound = getent ("radio_sound", "targetname");
radio_sound playloopsound ("mp_v2_radio");
}